Subject: Re: [netlmm] Some comments // RE: Fwd: New Version Notification for draft-ietf-netlmm-lma-discovery-05

From: Jari Arkko <[email-masked]>
Date: Tue, 05 Oct 2010 11:26:08 +0300

Yes it can be handled as such. In any case, I have to do the AD review 
of this document version and there might be other changes, so those too 
can be done by Jouni at an appropriate time.

I have added the document to my queue.

Jari

Narayanan, Vidya kirjoitti:
> It seems to me that a reference to RFC5149 and a description of how it applies is appropriate.  Vijay, can this be handled as RFC-Editor notes?  I'm wondering if there is any reason we can't move this document along to IESG review in its current state.  
>
> Vidya
>
>   
>> -----Original Message-----
>> From: [email-masked] [mailto:[email-masked]] On
>> Behalf Of Vijay Devarapalli
>> Sent: Tuesday, September 21, 2010 2:57 PM
>> To: Xiangsong Cui
>> Cc: [email-masked]
>> Subject: Re: [netlmm] Some comments // RE: Fwd: New Version
>> Notification for draft-ietf-netlmm-lma-discovery-05
>>
>> On 9/20/10 8:03 PM, Xiangsong Cui wrote:
>>     
>>> I don't think so.
>>> As I said in my earlier mail, I think there is some circulation on
>>>       
>> RFC5149
>>     
>>> reference.
>>>
>>> RFC5149 reads,
>>>     This document describes a Service Selection Mobility Option for
>>>     Mobile IPv6 that is intended to *assist home agents* to make
>>>       
>> specific
>>     
>>>     service selections for the mobility service subscription **during
>>>       
>> the
>>     
>>>     binding registration procedure.**
>>>
>>> I think this is clear enough, RFC5149 is "assist HA ... during
>>>       
>> registration
>>     
>>> procedure", right?
>>> While in this draft, we are talking about "assist LMA-discoverer to
>>>       
>> select a
>>     
>>> LMA, before registration procedure", right?
>>>       
>> No. Read through the rest of the Introduction in RFC 5149. It
>> specifically talks about distinguishing between multiple services that
>> can be provided to a mobile node and how to identify the service that
>> the mobile node wants to use when it sends a Binding Update to the home
>> agent. (in PMIPv6, it would be the PBU from the MAG to the LMA).
>>
>> Vijay
>>
>>     
>>> How can we mix them together?
>>>
>>> Desired service may be used for purpose A, and may be used for
>>>       
>> purpose B,
>>     
>>> but this not means A and B *MUST* be free to be cross-referenced,
>>>       
>> imho.
>>     
>>> So I agree LMA-discovery refer on desired service, and I disagree
>>> LMA-discovery refer on RFC5149.
>>> And I am open for any clarification on desired service, if it is not
>>>       
>> clear.
>>     
>>> Xiangsong
>>>
>>>
>>>       
>>>> -----Original Message-----
>>>> From: Vijay Devarapalli [mailto:[email-masked]]
>>>> Sent: Tuesday, September 21, 2010 1:40 AM
>>>> To: jouni korhonen
>>>> Cc: Xiangsong Cui; [email-masked]
>>>> Subject: Re: [netlmm] Some comments // RE: Fwd: New Version
>>>>         
>> Notification
>>     
>>> for
>>>       
>>>> draft-ietf-netlmm-lma-discovery-05
>>>>
>>>> On 9/16/10 2:44 AM, jouni korhonen wrote:
>>>>         
>>>>> Hi,
>>>>>
>>>>> Inline..
>>>>>
>>>>> On Sep 16, 2010, at 12:12 PM, Xiangsong Cui wrote:
>>>>>
>>>>> [snip]
>>>>>
>>>>>           
>>>>>>> Anyway, I have no problem of removing RFC5149 reference if that
>>>>>>>               
>> is
>>     
>>>>>> offending.
>>>>>>             
>>>>>>> It only appeared in -04 version of this draft.
>>>>>>>               
>>>>>> I prefer "selecting a LMA based on desired services." Thanks!
>>>>>>             
>>>>> Ok. Good.
>>>>>           
>>>> No, this is too vague. It is hard for someone not familiar with 3GPP
>>>>         
>> to
>>     
>>>> figure out what it means to select LMA based on the services
>>>>         
>> desired.
>>     
>>>> Service specific mobility anchor points are very 3GPP specific. So I
>>>> think we should have the reference to RFC 5149. That RFC clearly
>>>> explains what a "service" means in addition to defining a new
>>>>         
>> mobility
>>     
>>>> option. I think you should put back this reference.
>>>>
>>>> Vijay
>>>>         
>> _______________________________________________
>> netlmm mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/netlmm
>>     
> _______________________________________________
> netlmm mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/netlmm
>
>

---

From: "Narayanan, Vidya" <[email-masked]>
Date: Tue, 5 Oct 2010 07:09:19 -0700

Okay, thanks.  I started writing the shepherding writeup and realized a couple of things: 

- Why is RFC5213 not a normative reference for this document?  It sounds to me that it should be. 

IDnits produces a couple of comments: 

== Outdated reference: draft-ietf-mipshop-pfmipv6 has been published as RFC
     5949

  -- Obsolete informational reference (is this intentional?): RFC 4306
     (Obsoleted by RFC 5996)

Please also update the document to address the above references. 

Jari, I will put the normative reference comment in my writeup and send it - this can be corrected in the next rev along with addressing your comments below. 

Thanks,
Vidya

> From: Jari Arkko [mailto:[email-masked]]
> Sent: Tuesday, October 05, 2010 1:26 AM
> To: Narayanan, Vidya
> Cc: Vijay Devarapalli; Xiangsong Cui; [email-masked]
> > It seems to me that a reference to RFC5149 and a description of how
> it applies is appropriate.  Vijay, can this be handled as RFC-Editor
> notes?  I'm wondering if there is any reason we can't move this
> document along to IESG review in its current state.
> >
> > Vidya
> >
> >